Package: groovy.lang

## [Java] Class Tuple

- groovy.lang.Tuple

- Represents a list of Objects.

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Tuple (Object[] contents)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `equals(Object o)`
    `` | `Object` | `get(int index)`
    `` | `int` | `hashCode()`
    `` | `int` | `size()`
    `` | `List` | `subList(int fromIndex, int toIndex)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class AbstractList`

    `remove, get, equals, hashCode, indexOf, clear, lastIndexOf, add, add, subList, iterator, addAll, set, listIterator, listIterator, remove, size, toString, isEmpty, toArray, toArray, contains, addAll, removeAll, retainAll, containsAll, getClass, notify, notifyAll, wait, wait, wait, toArray, stream, spliterator, removeIf, parallelStream, forEach, replaceAll, sort, getFirst, getLast, addFirst, addLast, removeFirst, removeLast, reversed, reversed`

    `class AbstractCollection` | `remove, size, toString, clear, isEmpty, add, toArray, toArray, iterator, contains, addAll, removeAll, retainAll, containsAll, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait, toArray, stream, spliterator, removeIf, parallelStream, forEach`

- - ### Constructor Detail

    - #### public Tuple(Object[] contents)

  - ### Method Detail

    - #### @Override public boolean equals(Object o)

    - #### public Object get(int index)

    - #### @Override public int hashCode()

    - #### public int size()

    - #### @Override public List subList(int fromIndex, int toIndex)